For the complete documentation index, see llms.txt. This page is also available as Markdown.

InPlay Outright

Snapshot API endpoints for InPlay outright events.

Use these endpoints to retrieve snapshots of InPlay outright events, fixtures, markets, and scores.

For general usage guidelines, request limitations, and time filtering behaviour, see the Snapshot API overview.


GetOutrightEvents

Retrieve a full snapshot of all active InPlay outright events.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/InPlay/GetOutrightEvents
POST /InPlay/GetOutrightEvents HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content


GetOutrightFixture

Retrieve a snapshot of a specific InPlay outright fixture.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/InPlay/GetOutrightFixture
POST /InPlay/GetOutrightFixture HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content


GetOutrightFixtureMarkets

Retrieve a snapshot of markets for InPlay outright fixtures.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/InPlay/GetOutrightFixtureMarkets
POST /InPlay/GetOutrightFixtureMarkets HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content


GetOutrightScores

Retrieve a snapshot of scores for InPlay outright events.

post
Body
userNamestring · min: 1Required
passwordstring · min: 1Required
packageIdinteger · int32 · min: 1 · max: 2147483647Required
sportsinteger · int32[] · nullableOptional
locationsinteger · int32[] · nullableOptional
leaguesinteger · int32[] · nullableOptional
tournamentsinteger · int32[] · nullableOptional
fixturesinteger · int32[] · nullableOptional
marketsinteger · int32[] · nullableOptional
fromDateinteger · int64 · nullableOptional
toDateinteger · int64 · nullableOptional
timestampinteger · int64 · nullableOptional
Responses
200

Success

No content

post/InPlay/GetOutrightScores
POST /InPlay/GetOutrightScores HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "userName": "text",
  "password": "text",
  "packageId": 1,
  "sports": [
    1
  ],
  "locations": [
    1
  ],
  "leagues": [
    1
  ],
  "tournaments": [
    1
  ],
  "fixtures": [
    1
  ],
  "markets": [
    1
  ],
  "fromDate": 1,
  "toDate": 1,
  "timestamp": 1
}
200

Success

No content

Last updated

Was this helpful?